2021-03-06 00:25:36 UTC
286 MB
1.16
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:ddc66558221fdd621c8a9a9b10318a2be0e73e6e9b5201713c51d24dc672e99f - 17.08% (48.8 MB)
[#001] sha256:3367f7dc54e20f15e3eb446308d1d90921807cbbbe026653f1e081e0f3f800d4 - 2.67% (7.63 MB)
[#002] sha256:56d8d6b6155811224781274d8019eebe0788d1437193d1cc61be4e579108dd74 - 3.45% (9.86 MB)
[#003] sha256:4d650a4bdf99a8c28d0ec7f0b518cd93231802ba93726fa384a15c5ea536a87b - 17.84% (51 MB)
[#004] sha256:7add753007880ef2cdb0f29df561840cfa6bc652366ce0399ce8fff67444686a - 24.57% (70.2 MB)
[#005] sha256:faa923d378ae15a4681b6ed8361b7d532fccee0cd0ca572099a7fafb7a285127 - 34.4% (98.3 MB)
[#006] sha256:60692997ee923620b69cf4f8ccafb4f6555d01f4adb6db36f0112fa8c343dbb0 - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:174c1471a32619d54d725ea84d52c784b0093e0fa3327988de11aa4c7a1a74f8 in /
2021-02-09 02:39:32 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-02-09 03:09:35 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-02-09 03:09:46 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-02-09 03:10:22 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-03-06 00:25:22 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-03-06 00:25:22 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-03-06 00:25:22 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.16
2021-03-06 00:25:34 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; url=; case "${dpkgArch##*-}" in 'amd64') url='https://storage.googleapis.com/golang/go1.16.linux-amd64.tar.gz'; sha256='013a489ebb3e24ef3d915abe5b94c3286c070dfe0818d5bca8108f1d6e8440d2'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://storage.googleapis.com/golang/go1.16.linux-armv6l.tar.gz'; sha256='d1d9404b1dbd77afa2bdc70934e10fbfcf7d785c372efc29462bb7d83d0a32fd'; ;; 'arm64') url='https://storage.googleapis.com/golang/go1.16.linux-arm64.tar.gz'; sha256='3770f7eb22d05e25fbee8fb53c2a4e897da043eb83c69b9a14f8d98562cd8098'; ;; 'i386') url='https://storage.googleapis.com/golang/go1.16.linux-386.tar.gz'; sha256='ea435a1ac6d497b03e367fdfb74b33e961d813883468080f6e239b3b03bea6aa'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://storage.googleapis.com/golang/go1.16.linux-ppc64le.tar.gz'; sha256='27a1aaa988e930b7932ce459c8a63ad5b3333b3a06b016d87ff289f2a11aacd6'; ;; 's390x') url='https://storage.googleapis.com/golang/go1.16.linux-s390x.tar.gz'; sha256='be4c9e4e2cf058efc4e3eb013a760cb989ddc4362f111950c990d1c63b27ccbe'; ;; *) echo >&2 "error: unsupported architecture '$dpkgArch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://storage.googleapis.com/golang/go1.16.src.tar.gz'; sha256='7688063d55656105898f323d90a79a39c378d86fe89ae192eb3b7fc46347c95a'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-03-06 00:25:35 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-03-06 00:25:35 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-03-06 00:25:36 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-03-06 00:25:36 UTC/bin/sh -c #(nop) WORKDIR /go
2021-03-10 13:49:14 UTC
5.58 GB
8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
GIT_TAGv2.23.0.windows.1
GIT_VERSION2.23.0
GOLANG_VERSION1.16
GOPATHC:\gopath
[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 67.93% (3.79 GB)
[#001] sha256:30bda99601c5cbd3b2118409f401852ea648e2319bd81518723e476b28d764c5 - 28.82% (1.61 GB)
[#002] sha256:76680da9dc6db108ddf2e353c494b45e8486a6751619a13ed8fb3ad64b9a16e9 - 0.0% (1.3 KB)
[#003] sha256:ea2092de86b10f822dfd3a0d8e8dc35924823393cf8301e6db8f8a0a2879fb18 - 0.0% (1.28 KB)
[#004] sha256:46ac6e05dba1a284b10130ada4ed7581f5a1c5a90986038e31cc8213e215ca23 - 0.0% (1.4 KB)
[#005] sha256:a636ee1e87a6b10caeaef03b68f084d58b5c8412fe4b10ba5d851a6965917196 - 0.0% (1.29 KB)
[#006] sha256:7a9e03ef5102108f3595c37759ead10b0cfb624aa0f102dbae3b6abb18f03b56 - 0.0% (1.38 KB)
[#007] sha256:840634d0d343cc458ff1f028b165fab14415bf252ce2b7fdb726c41d035c64ff - 0.59% (33.6 MB)
[#008] sha256:b968b2b2cb37afe5893ed1aa040b1055605f41e8371fe42fca9c6e06bb96c2ed - 0.0% (1.35 KB)
[#009] sha256:0b01350c0465bbc3ff96b788fef94740af9378a1cfe9f3c1fb50ffed30c8a7ad - 0.17% (9.67 MB)
[#010] sha256:04324176f1cc3843d31a0d161a6983588ce3ef12aea1690258a99b512dacc8cd - 0.0% (1.4 KB)
[#011] sha256:641d8a8d58816cf92bfccfe7708d59f9380a6bc0ecb8518dfa117cb99a9acb26 - 2.49% (142 MB)
[#012] sha256:b06c6a7e72e5b0833521e3d6fae2c3d375c6c89117cad536cede831cc9ec0334 - 0.0% (1.54 KB)
Apply image 1607-RTM-amd64
2021-03-03 18:02:00 UTCInstall update ltsc2016-amd64
2021-03-10 13:42:05 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2021-03-10 13:42:06 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0
2021-03-10 13:42:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1
2021-03-10 13:42:08 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
2021-03-10 13:42:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
2021-03-10 13:44:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';
2021-03-10 13:44:32 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2021-03-10 13:45:47 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2021-03-10 13:45:48 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.16
2021-03-10 13:49:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://storage.googleapis.com/golang/go1.16.windows-amd64.zip'; Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '5cc88fa506b3d5c453c54c3ea218fc8dd05d7362ae1de15bb67986b72089ce93'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';
2021-03-10 13:49:14 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2021-03-06 01:34:24 UTC
303 MB
1.16
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:0ecb575e629cd60aa802266a3bc6847dcf4073aa2a6d7d43f717dd61e7b90e0b - 15.86% (48.1 MB)
[#001] sha256:7467d1831b6947c294d92ee957902c3cd448b17c5ac2103ca5e79d15afb317c3 - 2.46% (7.47 MB)
[#002] sha256:feab2c490a3cea21cc051ff29c33cc9857418edfa1be9966124b18abe1d5ae16 - 3.15% (9.53 MB)
[#003] sha256:f15a0f46f8c38f4ca7daecf160ba9cdb3ddeafda769e2741e179851cfaa14eec - 16.31% (49.4 MB)
[#004] sha256:2ea92ed63b96ae889021f1bea626c2bf247e47e7b1d131ed776f65f10e20886b - 21.62% (65.5 MB)
[#005] sha256:3299011ee68004371db02dd0667387e419e131ff509aeb7d51d25e3dbd240aa0 - 40.6% (123 MB)
[#006] sha256:a9fbc590eca12a436c78139f3c2546263e0d7f7927a16672e9d6e1d579b8c5f8 - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:8f75f11b2bd2d50e5912359ae750de06a7b49506df3756c19baf4cc63d900c4f in /
2021-02-09 02:20:40 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-02-09 04:35:10 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-02-09 04:35:21 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-02-09 04:35:46 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-03-06 01:33:54 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-03-06 01:33:54 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-03-06 01:33:55 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.16
2021-03-06 01:34:22 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; url=; case "${dpkgArch##*-}" in 'amd64') url='https://storage.googleapis.com/golang/go1.16.linux-amd64.tar.gz'; sha256='013a489ebb3e24ef3d915abe5b94c3286c070dfe0818d5bca8108f1d6e8440d2'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://storage.googleapis.com/golang/go1.16.linux-armv6l.tar.gz'; sha256='d1d9404b1dbd77afa2bdc70934e10fbfcf7d785c372efc29462bb7d83d0a32fd'; ;; 'arm64') url='https://storage.googleapis.com/golang/go1.16.linux-arm64.tar.gz'; sha256='3770f7eb22d05e25fbee8fb53c2a4e897da043eb83c69b9a14f8d98562cd8098'; ;; 'i386') url='https://storage.googleapis.com/golang/go1.16.linux-386.tar.gz'; sha256='ea435a1ac6d497b03e367fdfb74b33e961d813883468080f6e239b3b03bea6aa'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://storage.googleapis.com/golang/go1.16.linux-ppc64le.tar.gz'; sha256='27a1aaa988e930b7932ce459c8a63ad5b3333b3a06b016d87ff289f2a11aacd6'; ;; 's390x') url='https://storage.googleapis.com/golang/go1.16.linux-s390x.tar.gz'; sha256='be4c9e4e2cf058efc4e3eb013a760cb989ddc4362f111950c990d1c63b27ccbe'; ;; *) echo >&2 "error: unsupported architecture '$dpkgArch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://storage.googleapis.com/golang/go1.16.src.tar.gz'; sha256='7688063d55656105898f323d90a79a39c378d86fe89ae192eb3b7fc46347c95a'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-03-06 01:34:23 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-03-06 01:34:23 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-03-06 01:34:24 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-03-06 01:34:24 UTC/bin/sh -c #(nop) WORKDIR /go
2021-03-10 13:41:53 UTC
2.46 GB
8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
GIT_TAGv2.23.0.windows.1
GIT_VERSION2.23.0
GOLANG_VERSION1.16
GOPATHC:\gopath
[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 65.08% (1.6 GB)
[#001] sha256:5ff1512f88ecd4ff0a91ade34d43733c48834433e35f062f80e6e70d706f8d73 - 28.15% (709 MB)
[#002] sha256:ebe61daec6d671bc2c1c6fe61ac9825fb552e9cef3672d0a7dbec719d125ae64 - 0.0% (1.4 KB)
[#003] sha256:55f55c0bb3b38761f0aaeef923efdf23ab140f64a5549388e9aa125fe79780b0 - 0.0% (1.41 KB)
[#004] sha256:a312e589b5b4b52c93afc65c4053591faf5d602a159699e1d8fd7cb7257a1e19 - 0.0% (1.4 KB)
[#005] sha256:e5a36351186e9a8092baf10dfbdfd28b7dce39bcb5b543246f650bf4ad9549d6 - 0.0% (1.4 KB)
[#006] sha256:85bf84abeceee0a3b5a380cf6aa46e231424d48c1781e88f7f96344fdd400753 - 0.0% (1.39 KB)
[#007] sha256:bfcb0c1de08b3116c910ff0e9573389536913cddb0462da67f13cc24f09b479b - 1.31% (32.9 MB)
[#008] sha256:121ca5c84aae657554fc278543816ed7a73aa34867b296c486181ff025bde056 - 0.0% (1.38 KB)
[#009] sha256:0e1fde90e4880470a95a23f5277f201512a5e7cad1fc6c1bf100e06df43201b0 - 0.01% (331 KB)
[#010] sha256:996585e4cb7101fa5b6fc08581955b8b71e38298425964bc4de1ea37697572cd - 0.0% (1.4 KB)
[#011] sha256:08a1f69f55a95dd4fc2ae554ff62ebd8b6e042880d7f5c216a439b907899cb9d - 5.44% (137 MB)
[#012] sha256:79554741196a83e6353b8d351bec94fd95f8724c6d11366d5a7d9f37e9430f0f - 0.0% (1.57 KB)
Apply image 1809-RTM-amd64
2021-02-27 09:32:06 UTCInstall update 1809-amd64
2021-03-10 13:08:20 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2021-03-10 13:37:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0
2021-03-10 13:37:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1
2021-03-10 13:37:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
2021-03-10 13:37:24 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
2021-03-10 13:38:55 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';
2021-03-10 13:38:56 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2021-03-10 13:39:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2021-03-10 13:39:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.16
2021-03-10 13:41:51 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://storage.googleapis.com/golang/go1.16.windows-amd64.zip'; Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '5cc88fa506b3d5c453c54c3ea218fc8dd05d7362ae1de15bb67986b72089ce93'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';
2021-03-10 13:41:53 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2021-02-25 01:54:35 UTC
257 MB
1.16
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:caefd74d211732bd2d8529a8957297fee583b1eed876add26edaae597ec7eeb3 - 17.87% (45.9 MB)
[#001] sha256:6a124d5143cc689eb683e6266a65032891dfe62eeb6cb6b509b97db15c76b32c - 2.74% (7.03 MB)
[#002] sha256:2aa139a8bae24b22edced2ecd5c232ad41726a2d3c7735379b893172896d68f7 - 3.6% (9.24 MB)
[#003] sha256:2acd73801003dec84d303d6956df994b26ab304d99a457d6b1bd1c70427b5852 - 18.41% (47.3 MB)
[#004] sha256:ef551db9da6fd97cf1130c6031667e1e3f5b5b1b7976b8cdc760f339f00acbd9 - 19.32% (49.6 MB)
[#005] sha256:6b1fa07a6796c4cd490b8ec97e822d45705356cb4d02e431b65d5980b987f5bd - 38.06% (97.7 MB)
[#006] sha256:b54eb465198338957db9da547c73af3df810edb2dd56570e5964401057134646 - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:0d42654e4fb3d6743aca1ff6ed0c1438b6af430c0e32f32a645a069650192ba8 in /
2021-02-09 02:49:50 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-02-09 03:25:34 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-02-09 03:25:54 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-02-09 03:26:43 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-02-09 14:49:36 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-02-09 14:49:38 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-17 01:48:44 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.16
2021-02-25 01:54:24 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; url=; case "${dpkgArch##*-}" in 'amd64') url='https://storage.googleapis.com/golang/go1.16.linux-amd64.tar.gz'; sha256='013a489ebb3e24ef3d915abe5b94c3286c070dfe0818d5bca8108f1d6e8440d2'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://storage.googleapis.com/golang/go1.16.linux-armv6l.tar.gz'; sha256='d1d9404b1dbd77afa2bdc70934e10fbfcf7d785c372efc29462bb7d83d0a32fd'; ;; 'arm64') url='https://storage.googleapis.com/golang/go1.16.linux-arm64.tar.gz'; sha256='3770f7eb22d05e25fbee8fb53c2a4e897da043eb83c69b9a14f8d98562cd8098'; ;; 'i386') url='https://storage.googleapis.com/golang/go1.16.linux-386.tar.gz'; sha256='ea435a1ac6d497b03e367fdfb74b33e961d813883468080f6e239b3b03bea6aa'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://storage.googleapis.com/golang/go1.16.linux-ppc64le.tar.gz'; sha256='27a1aaa988e930b7932ce459c8a63ad5b3333b3a06b016d87ff289f2a11aacd6'; ;; 's390x') url='https://storage.googleapis.com/golang/go1.16.linux-s390x.tar.gz'; sha256='be4c9e4e2cf058efc4e3eb013a760cb989ddc4362f111950c990d1c63b27ccbe'; ;; *) echo >&2 "error: unsupported architecture '$dpkgArch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://storage.googleapis.com/golang/go1.16.src.tar.gz'; sha256='7688063d55656105898f323d90a79a39c378d86fe89ae192eb3b7fc46347c95a'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-02-25 01:54:27 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-02-25 01:54:28 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-25 01:54:33 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-02-25 01:54:35 UTC/bin/sh -c #(nop) WORKDIR /go
2021-02-25 03:31:36 UTC
251 MB
1.16
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:4c2a0a79594a20b9c2f0bfbd535f875ca1b079625052cdd801afb1cc0362d6d0 - 17.43% (43.7 MB)
[#001] sha256:06c11c595f6421f88e1b10286a766ae8db88f67c2c0f41cedd170640aee498ab - 2.71% (6.79 MB)
[#002] sha256:47cb22b679409f00e04b8d645444df7181f05cb2967ed73f1a377e7f774b6873 - 3.55% (8.91 MB)
[#003] sha256:5e90d4e143c069feee70f90eea83d55b7b0761c67fbbfb7f3734c16c0811ac13 - 18.0% (45.2 MB)
[#004] sha256:589feef49f1bc31f79ce239cc8c07cba582e35acd49a69908014769a9e87fd72 - 20.22% (50.7 MB)
[#005] sha256:12dd3693baf76993fa541570965c7af34f1fd846807732437914d840b1961879 - 38.1% (95.6 MB)
[#006] sha256:edd6dc6cbae769d357c5f3bb3c84b1c53a8a35a0964affa8be0b33da18ff85d8 - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:817a4ff41fcac0be44e95d3f0a51c9fa878d16dac7cdab68bfc445f630c43c22 in /
2021-02-09 03:00:33 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-02-09 04:25:53 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-02-09 04:26:05 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-02-09 04:26:44 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-02-09 19:41:17 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-02-09 19:41:19 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-17 01:58:55 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.16
2021-02-25 03:31:29 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; url=; case "${dpkgArch##*-}" in 'amd64') url='https://storage.googleapis.com/golang/go1.16.linux-amd64.tar.gz'; sha256='013a489ebb3e24ef3d915abe5b94c3286c070dfe0818d5bca8108f1d6e8440d2'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://storage.googleapis.com/golang/go1.16.linux-armv6l.tar.gz'; sha256='d1d9404b1dbd77afa2bdc70934e10fbfcf7d785c372efc29462bb7d83d0a32fd'; ;; 'arm64') url='https://storage.googleapis.com/golang/go1.16.linux-arm64.tar.gz'; sha256='3770f7eb22d05e25fbee8fb53c2a4e897da043eb83c69b9a14f8d98562cd8098'; ;; 'i386') url='https://storage.googleapis.com/golang/go1.16.linux-386.tar.gz'; sha256='ea435a1ac6d497b03e367fdfb74b33e961d813883468080f6e239b3b03bea6aa'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://storage.googleapis.com/golang/go1.16.linux-ppc64le.tar.gz'; sha256='27a1aaa988e930b7932ce459c8a63ad5b3333b3a06b016d87ff289f2a11aacd6'; ;; 's390x') url='https://storage.googleapis.com/golang/go1.16.linux-s390x.tar.gz'; sha256='be4c9e4e2cf058efc4e3eb013a760cb989ddc4362f111950c990d1c63b27ccbe'; ;; *) echo >&2 "error: unsupported architecture '$dpkgArch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://storage.googleapis.com/golang/go1.16.src.tar.gz'; sha256='7688063d55656105898f323d90a79a39c378d86fe89ae192eb3b7fc46347c95a'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-02-25 03:31:33 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-02-25 03:31:33 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-25 03:31:36 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-02-25 03:31:36 UTC/bin/sh -c #(nop) WORKDIR /go
2021-02-25 04:51:36 UTC
268 MB
1.16
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:c78c297fb0d010ee085f95ae439636ecb167b050c1acb4273bd576998cf94a83 - 17.49% (46.9 MB)
[#001] sha256:06af62193c25241eb123af8cf115c7a6298e834976fe148ac79ec11a7ca06ee5 - 2.74% (7.34 MB)
[#002] sha256:8b846e1b73901174c506ae5e6219ac2f356ef71eaa5896dfbc238dc67ca4bf73 - 3.55% (9.52 MB)
[#003] sha256:fb44d26a138a8d064a4ab8f9b472c64e7136c2482ec5af19bab8811b6d2c15b7 - 18.55% (49.7 MB)
[#004] sha256:d638b6994818c673ce32f9ad2ad7c2bac3b21d54c4f341f941e10d9724b16b4b - 22.26% (59.7 MB)
[#005] sha256:9c670ae34f61eac33ad0fb47eade82337108e248574a8ac8bbaade760492b51a - 35.41% (94.9 MB)
[#006] sha256:b2c77379489b2553277acd703248ac1d17f6307d7ea4b6ad7f11a4b6b46641b1 - 0.0% (157 Bytes)
/bin/sh -c #(nop) ADD file:78412ee35e3dc6fb5fdfce41eb05dd273ba1d49328ab327465639bfa4821aa51 in /
2021-02-09 02:40:50 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-02-09 04:43:43 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-02-09 04:43:54 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-02-09 04:44:26 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-02-09 21:49:51 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-02-09 21:49:54 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-17 01:40:29 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.16
2021-02-25 04:51:28 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; url=; case "${dpkgArch##*-}" in 'amd64') url='https://storage.googleapis.com/golang/go1.16.linux-amd64.tar.gz'; sha256='013a489ebb3e24ef3d915abe5b94c3286c070dfe0818d5bca8108f1d6e8440d2'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://storage.googleapis.com/golang/go1.16.linux-armv6l.tar.gz'; sha256='d1d9404b1dbd77afa2bdc70934e10fbfcf7d785c372efc29462bb7d83d0a32fd'; ;; 'arm64') url='https://storage.googleapis.com/golang/go1.16.linux-arm64.tar.gz'; sha256='3770f7eb22d05e25fbee8fb53c2a4e897da043eb83c69b9a14f8d98562cd8098'; ;; 'i386') url='https://storage.googleapis.com/golang/go1.16.linux-386.tar.gz'; sha256='ea435a1ac6d497b03e367fdfb74b33e961d813883468080f6e239b3b03bea6aa'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://storage.googleapis.com/golang/go1.16.linux-ppc64le.tar.gz'; sha256='27a1aaa988e930b7932ce459c8a63ad5b3333b3a06b016d87ff289f2a11aacd6'; ;; 's390x') url='https://storage.googleapis.com/golang/go1.16.linux-s390x.tar.gz'; sha256='be4c9e4e2cf058efc4e3eb013a760cb989ddc4362f111950c990d1c63b27ccbe'; ;; *) echo >&2 "error: unsupported architecture '$dpkgArch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://storage.googleapis.com/golang/go1.16.src.tar.gz'; sha256='7688063d55656105898f323d90a79a39c378d86fe89ae192eb3b7fc46347c95a'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-02-25 04:51:33 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-02-25 04:51:33 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-25 04:51:35 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-02-25 04:51:36 UTC/bin/sh -c #(nop) WORKDIR /go
2021-02-25 02:15:20 UTC
259 MB
1.16
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:c66db2c7cd9b921e61702131302689efe48861f2def6b11e1d3ebe56fc06fdad - 18.07% (46.8 MB)
[#001] sha256:d4558012499a65e8af9c0d92bfddea26b0adc56b688f78ce2c33bb72ff0e24b3 - 2.67% (6.91 MB)
[#002] sha256:2c64a7693227b692aae0c22e05c8c9b808f4d4ddf20575237a1fec0a0c8fba8d - 3.69% (9.55 MB)
[#003] sha256:fc9f01a8e276f4df19d07d9706dc3b0dec6edc61799fcc5f3270e0514fe6c29c - 18.74% (48.5 MB)
[#004] sha256:e74dbde2c64c2527997f0460a51a73a2475d8700be665ff0eed172364ab570d9 - 20.14% (52.1 MB)
[#005] sha256:9be61ba72880c39f4d5faa3395cfb6bfe9e668c1430092f76a09d1e248c494d9 - 36.69% (94.9 MB)
[#006] sha256:642f48d146ebbfe39a333b7c13879262a08c46bd306f837209ff5f4bb13d2090 - 0.0% (126 Bytes)
/bin/sh -c #(nop) ADD file:490a48a20d3dd7f37fb99df67136dba1fd328a9916a73fbc13da9be27e7fd95d in /
2021-02-09 03:09:04 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-02-09 04:05:22 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-02-09 04:05:38 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-02-09 04:06:29 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-02-09 17:56:03 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-02-09 17:56:03 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-17 02:07:22 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.16
2021-02-25 02:15:15 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; url=; case "${dpkgArch##*-}" in 'amd64') url='https://storage.googleapis.com/golang/go1.16.linux-amd64.tar.gz'; sha256='013a489ebb3e24ef3d915abe5b94c3286c070dfe0818d5bca8108f1d6e8440d2'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://storage.googleapis.com/golang/go1.16.linux-armv6l.tar.gz'; sha256='d1d9404b1dbd77afa2bdc70934e10fbfcf7d785c372efc29462bb7d83d0a32fd'; ;; 'arm64') url='https://storage.googleapis.com/golang/go1.16.linux-arm64.tar.gz'; sha256='3770f7eb22d05e25fbee8fb53c2a4e897da043eb83c69b9a14f8d98562cd8098'; ;; 'i386') url='https://storage.googleapis.com/golang/go1.16.linux-386.tar.gz'; sha256='ea435a1ac6d497b03e367fdfb74b33e961d813883468080f6e239b3b03bea6aa'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://storage.googleapis.com/golang/go1.16.linux-ppc64le.tar.gz'; sha256='27a1aaa988e930b7932ce459c8a63ad5b3333b3a06b016d87ff289f2a11aacd6'; ;; 's390x') url='https://storage.googleapis.com/golang/go1.16.linux-s390x.tar.gz'; sha256='be4c9e4e2cf058efc4e3eb013a760cb989ddc4362f111950c990d1c63b27ccbe'; ;; *) echo >&2 "error: unsupported architecture '$dpkgArch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://storage.googleapis.com/golang/go1.16.src.tar.gz'; sha256='7688063d55656105898f323d90a79a39c378d86fe89ae192eb3b7fc46347c95a'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-02-25 02:15:17 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-02-25 02:15:17 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-25 02:15:19 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-02-25 02:15:20 UTC/bin/sh -c #(nop) WORKDIR /go
2021-02-25 04:42:16 UTC
288 MB
1.16
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9311932ee2fcc8fed8d2911fda20f73ee92ea26879166cf6cc3192522e83fd0a - 17.91% (51.6 MB)
[#001] sha256:881ebf746bce396a8b31a683ca6cbcb81f5c9aa7bb2c9e236996aa2c7b5610d5 - 2.74% (7.89 MB)
[#002] sha256:27336f6700d8773d71eb0faf6090217770cffe60d1132c3d46f5375639b8a2e9 - 3.55% (10.2 MB)
[#003] sha256:1afedf8a01deada06218528a166adc4366030e683f7c3442f16812ece04158aa - 19.01% (54.8 MB)
[#004] sha256:a4f7802c81cec4fa46a988d0de9c3581687f89ccc21b786c7326ec053c55ea67 - 24.36% (70.2 MB)
[#005] sha256:24bbb8e9b5b4fbdafabb6cf7eba09e22677ff30b8e923c73ff5b8dbb077495c9 - 32.44% (93.5 MB)
[#006] sha256:4516e4097cf0578f304f1d44c843635968df10429ff05b96c6cc32b197b7ede1 - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:0fc1572a1f7f423ae98036bea9f9d1f9237ea74bf582a925ecf956383f7dc8e1 in /
2021-02-09 02:18:46 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-02-09 05:02:45 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-02-09 05:03:46 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-02-09 05:07:03 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-02-10 00:06:43 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-02-10 00:06:55 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-17 01:16:54 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.16
2021-02-25 04:41:30 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; url=; case "${dpkgArch##*-}" in 'amd64') url='https://storage.googleapis.com/golang/go1.16.linux-amd64.tar.gz'; sha256='013a489ebb3e24ef3d915abe5b94c3286c070dfe0818d5bca8108f1d6e8440d2'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://storage.googleapis.com/golang/go1.16.linux-armv6l.tar.gz'; sha256='d1d9404b1dbd77afa2bdc70934e10fbfcf7d785c372efc29462bb7d83d0a32fd'; ;; 'arm64') url='https://storage.googleapis.com/golang/go1.16.linux-arm64.tar.gz'; sha256='3770f7eb22d05e25fbee8fb53c2a4e897da043eb83c69b9a14f8d98562cd8098'; ;; 'i386') url='https://storage.googleapis.com/golang/go1.16.linux-386.tar.gz'; sha256='ea435a1ac6d497b03e367fdfb74b33e961d813883468080f6e239b3b03bea6aa'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://storage.googleapis.com/golang/go1.16.linux-ppc64le.tar.gz'; sha256='27a1aaa988e930b7932ce459c8a63ad5b3333b3a06b016d87ff289f2a11aacd6'; ;; 's390x') url='https://storage.googleapis.com/golang/go1.16.linux-s390x.tar.gz'; sha256='be4c9e4e2cf058efc4e3eb013a760cb989ddc4362f111950c990d1c63b27ccbe'; ;; *) echo >&2 "error: unsupported architecture '$dpkgArch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://storage.googleapis.com/golang/go1.16.src.tar.gz'; sha256='7688063d55656105898f323d90a79a39c378d86fe89ae192eb3b7fc46347c95a'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-02-25 04:41:43 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-02-25 04:41:49 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-25 04:42:06 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-02-25 04:42:16 UTC/bin/sh -c #(nop) WORKDIR /go
2021-02-25 06:17:37 UTC
265 MB
1.16
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:fb61e252baf0cdce361b288d8df47eab4b2adb45935d61331700aa9281372c74 - 17.64% (46.7 MB)
[#001] sha256:21893889b63220b2786e70a7182ba39dfc2fffcecd394424c4be2eba9d090798 - 2.67% (7.06 MB)
[#002] sha256:cadc5e0216d8dc7f2fc17b19146d9e168fadadf4acf3bfee694853596f8ee659 - 3.56% (9.43 MB)
[#003] sha256:e7c25bdb77d50c2365abbf0b825665a3320edce80f9ee8ce5985b29effa66c21 - 18.51% (49 MB)
[#004] sha256:dbc4817940a6d8d1eee948db363ee62efe08ed91d295c8091add842212a9ac8b - 20.46% (54.2 MB)
[#005] sha256:910e975ae2bd690ce9b5c46b5a488adedbca56e6daa138811f9cd650f47c01c1 - 37.17% (98.4 MB)
[#006] sha256:8d4222d3c3eb6a606d3d38920b57cebf4d2ba4b326fc8b5d09b3f99ea3168f67 - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:f390b371893461fffed2fb48d65b6c930137539a82b9c5329410cef322a5a9ea in /
2021-02-09 02:41:59 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-02-09 03:05:21 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-02-09 03:05:26 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-02-09 03:05:45 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-02-09 11:30:58 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-02-09 11:31:00 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-17 01:41:29 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.16
2021-02-25 06:17:18 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; url=; case "${dpkgArch##*-}" in 'amd64') url='https://storage.googleapis.com/golang/go1.16.linux-amd64.tar.gz'; sha256='013a489ebb3e24ef3d915abe5b94c3286c070dfe0818d5bca8108f1d6e8440d2'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://storage.googleapis.com/golang/go1.16.linux-armv6l.tar.gz'; sha256='d1d9404b1dbd77afa2bdc70934e10fbfcf7d785c372efc29462bb7d83d0a32fd'; ;; 'arm64') url='https://storage.googleapis.com/golang/go1.16.linux-arm64.tar.gz'; sha256='3770f7eb22d05e25fbee8fb53c2a4e897da043eb83c69b9a14f8d98562cd8098'; ;; 'i386') url='https://storage.googleapis.com/golang/go1.16.linux-386.tar.gz'; sha256='ea435a1ac6d497b03e367fdfb74b33e961d813883468080f6e239b3b03bea6aa'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://storage.googleapis.com/golang/go1.16.linux-ppc64le.tar.gz'; sha256='27a1aaa988e930b7932ce459c8a63ad5b3333b3a06b016d87ff289f2a11aacd6'; ;; 's390x') url='https://storage.googleapis.com/golang/go1.16.linux-s390x.tar.gz'; sha256='be4c9e4e2cf058efc4e3eb013a760cb989ddc4362f111950c990d1c63b27ccbe'; ;; *) echo >&2 "error: unsupported architecture '$dpkgArch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://storage.googleapis.com/golang/go1.16.src.tar.gz'; sha256='7688063d55656105898f323d90a79a39c378d86fe89ae192eb3b7fc46347c95a'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-02-25 06:17:34 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-02-25 06:17:35 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-02-25 06:17:37 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-02-25 06:17:37 UTC/bin/sh -c #(nop) WORKDIR /go
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.